# Workspace

open class Workspace : XmlPersistableConfigurationObject

Represents the customizable elements of an ipr (via XML hooks everything of the ipr is customizable).

## Constructors

Workspace
Link copied to clipboard
constructor(withXmlActions: XmlTransformer)

## Properties

xml
Link copied to clipboard
open val xml: Node

## Functions

findFirstChildNamed
Link copied to clipboard
open fun findFirstChildNamed(root: @Nullable Node, name: String): @Nullable Node
findFirstChildWithAttributeValue
Link copied to clipboard
open fun findFirstChildWithAttributeValue(root: @Nullable Node, childName: String, attribute: String, value: String): @Nullable Node
findOrCreateFirstChildNamed
Link copied to clipboard
open fun findOrCreateFirstChildNamed(root: Node, name: String): Node
findOrCreateFirstChildWithAttributeValue
Link copied to clipboard
open fun findOrCreateFirstChildWithAttributeValue(root: @Nullable Node, childName: String, attribute: String, value: String): Node
load
Link copied to clipboard
open fun load(inputStream: InputStream)
loadDefaults
Link copied to clipboard
open fun loadDefaults()
store
Link copied to clipboard
open fun store(outputStream: OutputStream)
transformAction
Link copied to clipboard
open fun transformAction(action: Closure)